--Create database model v1.1.0.0.

--Static Tables.
create table if not exists dedb_tables (table_id INTEGER PRIMARY KEY, table_key TEXT, table_value TEXT);
create table if not exists dedb_columns (column_id INTEGER PRIMARY KEY, table_id INTEGER, column_key TEXT, column_value TEXT);

--Dynamic Tables.
create table if not exists dedb_config (id INTEGER PRIMARY KEY, db_version TEXT, db_description TEXT, noun_image_width INTEGER, noun_image_height INTEGER, default_language INTEGER, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_languages (id INTEGER PRIMARY KEY, language TEXT, description TEXT, flag BLOB, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_nouns (id INTEGER PRIMARY KEY, article TEXT, noun TEXT, plural TEXT, image BLOB, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_nouns_translations (id INTEGER PRIMARY KEY, noun INTEGER, language INTEGER, translation TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_nouns_comments (id INTEGER PRIMARY KEY, noun INTEGER, language INTEGER, comments TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_nouns_tags (id INTEGER PRIMARY KEY, noun INTEGER, language INTEGER, tag TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_nouns_examples (id INTEGER PRIMARY KEY, noun INTEGER, example TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_nouns_examples_translations (id INTEGER PRIMARY KEY, example INTEGER, language INTEGER, translation TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_verbs (id INTEGER PRIMARY KEY, grammatical_case TEXT, infinitive TEXT, past_participle TEXT, present_perfect_help_verb TEXT, imperative_2s TEXT, imperative_1p TEXT, imperative_2p TEXT, imperative_formal TEXT, present_1s TEXT, present_2s TEXT, present_3s TEXT, present_1p TEXT, present_2p TEXT, present_3p TEXT, present_formal TEXT, simple_past_1s TEXT, simple_past_2s TEXT, simple_past_3s TEXT, simple_past_1p TEXT, simple_past_2p TEXT, simple_past_3p TEXT, simple_past_formal TEXT, subjunctiveII_1s TEXT, subjunctiveII_2s TEXT, subjunctiveII_3s TEXT, subjunctiveII_1p TEXT, subjunctiveII_2p TEXT, subjunctiveII_3p TEXT, subjunctiveII_formal TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_verbs_translations (id INTEGER PRIMARY KEY, verb INTEGER, language INTEGER, translation TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_verbs_comments (id INTEGER PRIMARY KEY, verb INTEGER, language INTEGER, comments TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_verbs_tags (id INTEGER PRIMARY KEY, verb INTEGER, language INTEGER, tag TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_verbs_examples (id INTEGER PRIMARY KEY, verb INTEGER, example TEXT, datetime_creation TEXT, datetime_modification TEXT);
create table if not exists dedb_verbs_examples_translations (id INTEGER PRIMARY KEY, example INTEGER, language INTEGER, translation TEXT, datetime_creation TEXT, datetime_modification TEXT);

--Table data.
insert into dedb_tables (table_key, table_value) values ('dedb_config', 'dedb_config');
insert into dedb_tables (table_key, table_value) values ('dedb_languages', 'dedb_languages');
insert into dedb_tables (table_key, table_value) values ('dedb_nouns', 'dedb_nouns');
insert into dedb_tables (table_key, table_value) values ('dedb_nouns_translations', 'dedb_nouns_translations');
insert into dedb_tables (table_key, table_value) values ('dedb_nouns_comments', 'dedb_nouns_comments');
insert into dedb_tables (table_key, table_value) values ('dedb_nouns_tags', 'dedb_nouns_tags');
insert into dedb_tables (table_key, table_value) values ('dedb_nouns_examples', 'dedb_nouns_examples');
insert into dedb_tables (table_key, table_value) values ('dedb_nouns_examples_translations', 'dedb_nouns_examples_translations');
insert into dedb_tables (table_key, table_value) values ('dedb_verbs', 'dedb_verbs');
insert into dedb_tables (table_key, table_value) values ('dedb_verbs_translations', 'dedb_verbs_translations');
insert into dedb_tables (table_key, table_value) values ('dedb_verbs_comments', 'dedb_verbs_comments');
insert into dedb_tables (table_key, table_value) values ('dedb_verbs_tags', 'dedb_verbs_tags');
insert into dedb_tables (table_key, table_value) values ('dedb_verbs_examples', 'dedb_verbs_examples');
insert into dedb_tables (table_key, table_value) values ('dedb_verbs_examples_translations', 'dedb_verbs_examples_translations');

--Column data.
insert into dedb_columns (table_id, column_key, column_value) values (1, 'dedb_config_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (1, 'dedb_config_db_version', 'db_version');
insert into dedb_columns (table_id, column_key, column_value) values (1, 'dedb_config_db_description', 'db_description');
insert into dedb_columns (table_id, column_key, column_value) values (1, 'dedb_config_noun_image_width', 'noun_image_width');
insert into dedb_columns (table_id, column_key, column_value) values (1, 'dedb_config_noun_image_height', 'noun_image_height');
insert into dedb_columns (table_id, column_key, column_value) values (1, 'dedb_config_default_language', 'default_language');
insert into dedb_columns (table_id, column_key, column_value) values (1, 'dedb_config_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (1, 'dedb_config_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (2, 'dedb_languages_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (2, 'dedb_languages_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (2, 'dedb_languages_description', 'description');
insert into dedb_columns (table_id, column_key, column_value) values (2, 'dedb_languages_flag', 'flag');
insert into dedb_columns (table_id, column_key, column_value) values (2, 'dedb_languages_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (2, 'dedb_languages_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (3, 'dedb_nouns_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (3, 'dedb_nouns_article', 'article');
insert into dedb_columns (table_id, column_key, column_value) values (3, 'dedb_nouns_noun', 'noun');
insert into dedb_columns (table_id, column_key, column_value) values (3, 'dedb_nouns_plural', 'plural');
insert into dedb_columns (table_id, column_key, column_value) values (3, 'dedb_nouns_image', 'image');
insert into dedb_columns (table_id, column_key, column_value) values (3, 'dedb_nouns_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (3, 'dedb_nouns_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (4, 'dedb_nouns_translations_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (4, 'dedb_nouns_translations_noun', 'noun');
insert into dedb_columns (table_id, column_key, column_value) values (4, 'dedb_nouns_translations_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (4, 'dedb_nouns_translations_translation', 'translation');
insert into dedb_columns (table_id, column_key, column_value) values (4, 'dedb_nouns_translations_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (4, 'dedb_nouns_translations_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (5, 'dedb_nouns_comments_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (5, 'dedb_nouns_comments_noun', 'noun');
insert into dedb_columns (table_id, column_key, column_value) values (5, 'dedb_nouns_comments_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (5, 'dedb_nouns_comments_comments', 'comments');
insert into dedb_columns (table_id, column_key, column_value) values (5, 'dedb_nouns_comments_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (5, 'dedb_nouns_comments_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (6, 'dedb_nouns_tags_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (6, 'dedb_nouns_tags_noun', 'noun');
insert into dedb_columns (table_id, column_key, column_value) values (6, 'dedb_nouns_tags_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (6, 'dedb_nouns_tags_tag', 'tag');
insert into dedb_columns (table_id, column_key, column_value) values (6, 'dedb_nouns_tags_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (6, 'dedb_nouns_tags_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (7, 'dedb_nouns_examples_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (7, 'dedb_nouns_examples_noun', 'noun');
insert into dedb_columns (table_id, column_key, column_value) values (7, 'dedb_nouns_examples_example', 'example');
insert into dedb_columns (table_id, column_key, column_value) values (7, 'dedb_nouns_examples_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (7, 'dedb_nouns_examples_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (8, 'dedb_nouns_examples_translations_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (8, 'dedb_nouns_examples_translations_example', 'example');
insert into dedb_columns (table_id, column_key, column_value) values (8, 'dedb_nouns_examples_translations_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (8, 'dedb_nouns_examples_translations_translation', 'translation');
insert into dedb_columns (table_id, column_key, column_value) values (8, 'dedb_nouns_examples_translations_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (8, 'dedb_nouns_examples_translations_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_case', 'grammatical_case');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_infinitive', 'infinitive');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_past_participle', 'past_participle');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_present_perfect_help_verb', 'present_perfect_help_verb');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_imperative_2s', 'imperative_2s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_imperative_1p', 'imperative_1p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_imperative_2p', 'imperative_2p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_imperative_formal', 'imperative_formal');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_present_1s', 'present_1s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_present_2s', 'present_2s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_present_3s', 'present_3s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_present_1p', 'present_1p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_present_2p', 'present_2p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_present_3p', 'present_3p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_present_formal', 'present_formal');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_simple_past_1s', 'simple_past_1s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_simple_past_2s', 'simple_past_2s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_simple_past_3s', 'simple_past_3s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_simple_past_1p', 'simple_past_1p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_simple_past_2p', 'simple_past_2p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_simple_past_3p', 'simple_past_3p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_simple_past_formal', 'simple_past_formal');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_subjunctiveII_1s', 'subjunctiveII_1s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_subjunctiveII_2s', 'subjunctiveII_2s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_subjunctiveII_3s', 'subjunctiveII_3s');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_subjunctiveII_1p', 'subjunctiveII_1p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_subjunctiveII_2p', 'subjunctiveII_2p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_subjunctiveII_3p', 'subjunctiveII_3p');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_subjunctiveII_formal', 'subjunctiveII_formal');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (9, 'dedb_verbs_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (10, 'dedb_verbs_translations_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (10, 'dedb_verbs_translations_verb', 'verb');
insert into dedb_columns (table_id, column_key, column_value) values (10, 'dedb_verbs_translations_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (10, 'dedb_verbs_translations_translation', 'translation');
insert into dedb_columns (table_id, column_key, column_value) values (10, 'dedb_verbs_translations_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (10, 'dedb_verbs_translations_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (11, 'dedb_verbs_comments_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (11, 'dedb_verbs_comments_verb', 'verb');
insert into dedb_columns (table_id, column_key, column_value) values (11, 'dedb_verbs_comments_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (11, 'dedb_verbs_comments_comments', 'comments');
insert into dedb_columns (table_id, column_key, column_value) values (11, 'dedb_verbs_comments_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (11, 'dedb_verbs_comments_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (12, 'dedb_verbs_tags_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (12, 'dedb_verbs_tags_verb', 'verb');
insert into dedb_columns (table_id, column_key, column_value) values (12, 'dedb_verbs_tags_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (12, 'dedb_verbs_tags_tag', 'tag');
insert into dedb_columns (table_id, column_key, column_value) values (12, 'dedb_verbs_tags_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (12, 'dedb_verbs_tags_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (13, 'dedb_verbs_examples_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (13, 'dedb_verbs_examples_verb', 'verb');
insert into dedb_columns (table_id, column_key, column_value) values (13, 'dedb_verbs_examples_example', 'example');
insert into dedb_columns (table_id, column_key, column_value) values (13, 'dedb_verbs_examples_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (13, 'dedb_verbs_examples_dt_modification', 'datetime_modification');

insert into dedb_columns (table_id, column_key, column_value) values (14, 'dedb_verbs_examples_translations_id', 'id');
insert into dedb_columns (table_id, column_key, column_value) values (14, 'dedb_verbs_examples_translations_example', 'example');
insert into dedb_columns (table_id, column_key, column_value) values (14, 'dedb_verbs_examples_translations_language', 'language');
insert into dedb_columns (table_id, column_key, column_value) values (14, 'dedb_verbs_examples_translations_translation', 'translation');
insert into dedb_columns (table_id, column_key, column_value) values (14, 'dedb_verbs_examples_translations_dt_creation', 'datetime_creation');
insert into dedb_columns (table_id, column_key, column_value) values (14, 'dedb_verbs_examples_translations_dt_modification', 'datetime_modification');

--Default configuration values.
insert into dedb_config (db_version, db_description, noun_image_width, noun_image_height, default_language, datetime_creation, datetime_modification) values ('1.1.0.0', NULL, 256, 256, 0, strftime('%Y-%m-%d %H:%M:%S', 'now', 'localtime'), NULL);